Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class FileUploadTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.FileUploadTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class FileUploadTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`FileUploadTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAcceptedTypes(javax.el.ValueExpression __acceptedTypes)` Files types allowed to upload Setter for acceptedTypes
`void` | `setAccesskey(javax.el.ValueExpression __accesskey)` This attribute assigns an access key to an element.
`void` | `setAddButtonClass(javax.el.ValueExpression __addButtonClass)` CSS style for add button Setter for addButtonClass
`void` | `setAddButtonClassDisabled(javax.el.ValueExpression __addButtonClassDisabled)` CSS style for add button disabled Setter for addButtonClassDisabled
`void` | `setAddControlLabel(javax.el.ValueExpression __addControlLabel)` Defines a label for an add button Setter for addControlLabel
`void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` Boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only.
`void` | `setAllowFlash(javax.el.ValueExpression __allowFlash)` Attribute which allow the component to use the flash module that provides file upload functionality [false, true, auto].
`void` | `setAlt(javax.el.ValueExpression __alt)` For a user agents that cannot display images, forms, or applets, this attribute specifies alternate text.
`void` | `setAutoclear(javax.el.ValueExpression __autoclear)` If this attribute is "true" files will be immediately removed from list after upload completed.
`void` | `setCancelEntryControlLabel(javax.el.ValueExpression __cancelEntryControlLabel)` Defines a label for a cancel control Setter for cancelEntryControlLabel
`void` | `setCleanButtonClass(javax.el.ValueExpression __cleanButtonClass)` CSS style for clean button Setter for cleanButtonClass
`void` | `setCleanButtonClassDisabled(javax.el.ValueExpression __cleanButtonClassDisabled)` CSS style for clean button disabled Setter for cleanButtonClassDisabled
`void` | `setClearAllControlLabel(javax.el.ValueExpression __clearAllControlLabel)` Defines a label for a clearAll button Setter for clearAllControlLabel
`void` | `setClearControlLabel(javax.el.ValueExpression __clearControlLabel)` Defines a label for a clear control Setter for clearControlLabel
`void` | `setDisabled(javax.el.ValueExpression __disabled)` Attribute 'disabled' provides a possibility to make the whole component disabled if its value equals to "true".
`void` | `setDoneLabel(javax.el.ValueExpression __doneLabel)` Defines a label for a done label Setter for doneLabel
`void` | `setFileEntryClass(javax.el.ValueExpression __fileEntryClass)` CSS style upload file entry Setter for fileEntryClass
`void` | `setFileEntryClassDisabled(javax.el.ValueExpression __fileEntryClassDisabled)` CSS style upload file entry disabled Setter for fileEntryClassDisabled
`void` | `setFileEntryControlClass(javax.el.ValueExpression __fileEntryControlClass)` CSS style for upload enrty control Setter for fileEntryControlClass
`void` | `setFileEntryControlClassDisabled(javax.el.ValueExpression __fileEntryControlClassDisabled)` CSS style for upload enrty control disabled Setter for fileEntryControlClassDisabled
`void` | `setFileUploadListener(javax.el.MethodExpression __fileUploadListener)` MethodExpression representing an action listener method that will be notified after file uploaded.
`void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setImmediateUpload(javax.el.ValueExpression __immediateUpload)` If this attribute is true files will be immediately uploaded after they have been added in list.
`void` | `setListHeight(javax.el.ValueExpression __listHeight)` Defines height of file list.
`void` | `setListWidth(javax.el.ValueExpression __listWidth)` Defines width of file list.
`void` | `setLocale(javax.el.ValueExpression __locale)` Used for locale definition Setter for locale
`void` | `setMaxFilesQuantity(javax.el.ValueExpression __maxFilesQuantity)` Defines max files count allowed for upload (optional).
`void` | `setNoDuplicate(javax.el.ValueExpression __noDuplicate)` Defines if component should allow to add files that were already in list.
`void` | `setOnadd(javax.el.ValueExpression __onadd)` A JavaScript event handler called on an add file operation Setter for onadd
`void` | `setOnblur(javax.el.ValueExpression __onblur)` HTML: script expression; the element lost the focus Setter for onblur
`void` | `setOnchange(javax.el.ValueExpression __onchange)` HTML: script expression; the element value was changed Setter for onchange
`void` | `setOnclear(javax.el.ValueExpression __onclear)` A JavaScript event handler called when the file entries were cleared Setter for onclear
`void` | `setOnerror(javax.el.ValueExpression __onerror)` A JavaScript event handler called when the file upload was interrupted according to any errors Setter for onerror
`void` | `setOnfocus(javax.el.ValueExpression __onfocus)` HTML: script expression; the element got the focus Setter for onfocus
`void` | `setOnselect(javax.el.ValueExpression __onselect)` HTML: script expression; The onselect event occurs when you select some text in a text field.
`void` | `setOnsizerejected(javax.el.ValueExpression __onsizerejected)` A JavaScript event handler called when the file uploading was rejected by fiel size overflow Setter for onsizerejected
`void` | `setOntyperejected(javax.el.ValueExpression __ontyperejected)` A JavaScript event handler called when the file type was rejected according to file types allowed Setter for ontyperejected
`void` | `setOnupload(javax.el.ValueExpression __onupload)` A JavaScript event handler called on an upload operation Setter for onupload
`void` | `setOnuploadcanceled(javax.el.ValueExpression __onuploadcanceled)` A JavaScript event handler called when upload is cancelled Setter for onuploadcanceled
`void` | `setOnuploadcomplete(javax.el.ValueExpression __onuploadcomplete)` A JavaScript event handler called when upload is completed Setter for onuploadcomplete
`void` | `setProgressLabel(javax.el.ValueExpression __progressLabel)` Defines a label for a progress label Setter for progressLabel
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
`void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
`void` | `setSizeErrorLabel(javax.el.ValueExpression __sizeErrorLabel)` Defines a label for a size error label Setter for sizeErrorLabel
`void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setStopButtonClass(javax.el.ValueExpression __stopButtonClass)` CSS style for cancel button Setter for stopButtonClass
`void` | `setStopButtonClassDisabled(javax.el.ValueExpression __stopButtonClassDisabled)` CSS style for cancel button disabled Setter for stopButtonClassDisabled
`void` | `setStopControlLabel(javax.el.ValueExpression __stopControlLabel)` Defines a label for a stop button Setter for stopControlLabel
`void` | `setStopEntryControlLabel(javax.el.ValueExpression __stopEntryControlLabel)` Defines a label for a stop control Setter for stopEntryControlLabel
`void` | `setTabindex(javax.el.ValueExpression __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
`void` | `setTransferErrorLabel(javax.el.ValueExpression __transferErrorLabel)` Defines a label for a transfer error label Setter for transferErrorLabel
`void` | `setUploadButtonClass(javax.el.ValueExpression __uploadButtonClass)` CSS style for upload button Setter for uploadButtonClass
`void` | `setUploadButtonClassDisabled(javax.el.ValueExpression __uploadButtonClassDisabled)` CSS style for upload button disabled Setter for uploadButtonClassDisabled
`void` | `setUploadControlLabel(javax.el.ValueExpression __uploadControlLabel)` Defines a label for an upload button Setter for uploadControlLabel
`void` | `setUploadData(javax.el.ValueExpression __uploadData)` Collection of files uploaded Setter for uploadData
`void` | `setUploadListClass(javax.el.ValueExpression __uploadListClass)` CSS style for upload list Setter for uploadListClass
`void` | `setUploadListClassDisabled(javax.el.ValueExpression __uploadListClassDisabled)` CSS style for upload list disabled Setter for uploadListClassDisabled
`void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
`void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### FileUploadTag

    public FileUploadTag()

Method Detail

### setAcceptedTypes

    public void setAcceptedTypes(javax.el.ValueExpression __acceptedTypes)

  Files types allowed to upload Setter for acceptedTypes

  Parameters:
    `acceptedTypes` - - new value

### setAccesskey

    public void setAccesskey(javax.el.ValueExpression __accesskey)

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey

  Parameters:
    `accesskey` - - new value

### setAddButtonClass

    public void setAddButtonClass(javax.el.ValueExpression __addButtonClass)

  CSS style for add button Setter for addButtonClass

  Parameters:
    `addButtonClass` - - new value

### setAddButtonClassDisabled

    public void setAddButtonClassDisabled(javax.el.ValueExpression __addButtonClassDisabled)

  CSS style for add button disabled Setter for addButtonClassDisabled

  Parameters:
    `addButtonClassDisabled` - - new value

### setAddControlLabel

    public void setAddControlLabel(javax.el.ValueExpression __addControlLabel)

  Defines a label for an add button Setter for addControlLabel

  Parameters:
    `addControlLabel` - - new value

### setAjaxSingle

    public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

  Boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only. Default value is "false" Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### setAllowFlash

    public void setAllowFlash(javax.el.ValueExpression __allowFlash)

  Attribute which allow the component to use the flash module that provides file upload functionality [false, true, auto]. Default value is "false" Setter for allowFlash

  Parameters:
    `allowFlash` - - new value

### setAlt

    public void setAlt(javax.el.ValueExpression __alt)

  For a user agents that cannot display images, forms, or applets, this attribute specifies alternate text. The language of the alternate text is specified by the lang attribute Setter for alt

  Parameters:
    `alt` - - new value

### setAutoclear

    public void setAutoclear(javax.el.ValueExpression __autoclear)

  If this attribute is "true" files will be immediately removed from list after upload completed. Default value is "false". Setter for autoclear

  Parameters:
    `autoclear` - - new value

### setCancelEntryControlLabel

    public void setCancelEntryControlLabel(javax.el.ValueExpression __cancelEntryControlLabel)

  Defines a label for a cancel control Setter for cancelEntryControlLabel

  Parameters:
    `cancelEntryControlLabel` - - new value

### setCleanButtonClass

    public void setCleanButtonClass(javax.el.ValueExpression __cleanButtonClass)

  CSS style for clean button Setter for cleanButtonClass

  Parameters:
    `cleanButtonClass` - - new value

### setCleanButtonClassDisabled

    public void setCleanButtonClassDisabled(javax.el.ValueExpression __cleanButtonClassDisabled)

  CSS style for clean button disabled Setter for cleanButtonClassDisabled

  Parameters:
    `cleanButtonClassDisabled` - - new value

### setClearAllControlLabel

    public void setClearAllControlLabel(javax.el.ValueExpression __clearAllControlLabel)

  Defines a label for a clearAll button Setter for clearAllControlLabel

  Parameters:
    `clearAllControlLabel` - - new value

### setClearControlLabel

    public void setClearControlLabel(javax.el.ValueExpression __clearControlLabel)

  Defines a label for a clear control Setter for clearControlLabel

  Parameters:
    `clearControlLabel` - - new value

### setDisabled

    public void setDisabled(javax.el.ValueExpression __disabled)

  Attribute 'disabled' provides a possibility to make the whole component disabled if its value equals to "true". Default value is "false". Setter for disabled

  Parameters:
    `disabled` - - new value

### setDoneLabel

    public void setDoneLabel(javax.el.ValueExpression __doneLabel)

  Defines a label for a done label Setter for doneLabel

  Parameters:
    `doneLabel` - - new value

### setFileEntryClass

    public void setFileEntryClass(javax.el.ValueExpression __fileEntryClass)

  CSS style upload file entry Setter for fileEntryClass

  Parameters:
    `fileEntryClass` - - new value

### setFileEntryClassDisabled

    public void setFileEntryClassDisabled(javax.el.ValueExpression __fileEntryClassDisabled)

  CSS style upload file entry disabled Setter for fileEntryClassDisabled

  Parameters:
    `fileEntryClassDisabled` - - new value

### setFileEntryControlClass

    public void setFileEntryControlClass(javax.el.ValueExpression __fileEntryControlClass)

  CSS style for upload enrty control Setter for fileEntryControlClass

  Parameters:
    `fileEntryControlClass` - - new value

### setFileEntryControlClassDisabled

    public void setFileEntryControlClassDisabled(javax.el.ValueExpression __fileEntryControlClassDisabled)

  CSS style for upload enrty control disabled Setter for fileEntryControlClassDisabled

  Parameters:
    `fileEntryControlClassDisabled` - - new value

### setFileUploadListener

    public void setFileUploadListener(javax.el.MethodExpression __fileUploadListener)

  MethodExpression representing an action listener method that will be notified after file uploaded. Setter for fileUploadListener

  Parameters:
    `fileUploadListener` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setImmediateUpload

    public void setImmediateUpload(javax.el.ValueExpression __immediateUpload)

  If this attribute is true files will be immediately uploaded after they have been added in list. Default value is "false". Setter for immediateUpload

  Parameters:
    `immediateUpload` - - new value

### setListHeight

    public void setListHeight(javax.el.ValueExpression __listHeight)

  Defines height of file list. Default value is "210px". Setter for listHeight

  Parameters:
    `listHeight` - - new value

### setListWidth

    public void setListWidth(javax.el.ValueExpression __listWidth)

  Defines width of file list. Default value is "400px". Setter for listWidth

  Parameters:
    `listWidth` - - new value

### setLocale

    public void setLocale(javax.el.ValueExpression __locale)

  Used for locale definition Setter for locale

  Parameters:
    `locale` - - new value

### setMaxFilesQuantity

    public void setMaxFilesQuantity(javax.el.ValueExpression __maxFilesQuantity)

  Defines max files count allowed for upload (optional). Default value is "1". Setter for maxFilesQuantity

  Parameters:
    `maxFilesQuantity` - - new value

### setNoDuplicate

    public void setNoDuplicate(javax.el.ValueExpression __noDuplicate)

  Defines if component should allow to add files that were already in list. Default value is "false". Setter for noDuplicate

  Parameters:
    `noDuplicate` - - new value

### setOnadd

    public void setOnadd(javax.el.ValueExpression __onadd)

  A JavaScript event handler called on an add file operation Setter for onadd

  Parameters:
    `onadd` - - new value

### setOnblur

    public void setOnblur(javax.el.ValueExpression __onblur)

  HTML: script expression; the element lost the focus Setter for onblur

  Parameters:
    `onblur` - - new value

### setOnchange

    public void setOnchange(javax.el.ValueExpression __onchange)

  HTML: script expression; the element value was changed Setter for onchange

  Parameters:
    `onchange` - - new value

### setOnclear

    public void setOnclear(javax.el.ValueExpression __onclear)

  A JavaScript event handler called when the file entries were cleared Setter for onclear

  Parameters:
    `onclear` - - new value

### setOnerror

    public void setOnerror(javax.el.ValueExpression __onerror)

  A JavaScript event handler called when the file upload was interrupted according to any errors Setter for onerror

  Parameters:
    `onerror` - - new value

### setOnfocus

    public void setOnfocus(javax.el.ValueExpression __onfocus)

  HTML: script expression; the element got the focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### setOnselect

    public void setOnselect(javax.el.ValueExpression __onselect)

  HTML: script expression; The onselect event occurs when you select some text in a text field. This attribute may be used with the INPUT and TEXTAREA elements Setter for onselect

  Parameters:
    `onselect` - - new value

### setOnsizerejected

    public void setOnsizerejected(javax.el.ValueExpression __onsizerejected)

  A JavaScript event handler called when the file uploading was rejected by fiel size overflow Setter for onsizerejected

  Parameters:
    `onsizerejected` - - new value

### setOntyperejected

    public void setOntyperejected(javax.el.ValueExpression __ontyperejected)

  A JavaScript event handler called when the file type was rejected according to file types allowed Setter for ontyperejected

  Parameters:
    `ontyperejected` - - new value

### setOnupload

    public void setOnupload(javax.el.ValueExpression __onupload)

  A JavaScript event handler called on an upload operation Setter for onupload

  Parameters:
    `onupload` - - new value

### setOnuploadcanceled

    public void setOnuploadcanceled(javax.el.ValueExpression __onuploadcanceled)

  A JavaScript event handler called when upload is cancelled Setter for onuploadcanceled

  Parameters:
    `onuploadcanceled` - - new value

### setOnuploadcomplete

    public void setOnuploadcomplete(javax.el.ValueExpression __onuploadcomplete)

  A JavaScript event handler called when upload is completed Setter for onuploadcomplete

  Parameters:
    `onuploadcomplete` - - new value

### setProgressLabel

    public void setProgressLabel(javax.el.ValueExpression __progressLabel)

  Defines a label for a progress label Setter for progressLabel

  Parameters:
    `progressLabel` - - new value

### setRequired

    public void setRequired(javax.el.ValueExpression __required)

  If "true", this component is checked for non-empty input Setter for required

  Parameters:
    `required` - - new value

### setRequiredMessage

    public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage

  Parameters:
    `requiredMessage` - - new value

### setSizeErrorLabel

    public void setSizeErrorLabel(javax.el.ValueExpression __sizeErrorLabel)

  Defines a label for a size error label Setter for sizeErrorLabel

  Parameters:
    `sizeErrorLabel` - - new value

### setStatus

    public void setStatus(javax.el.ValueExpression __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### setStopButtonClass

    public void setStopButtonClass(javax.el.ValueExpression __stopButtonClass)

  CSS style for cancel button Setter for stopButtonClass

  Parameters:
    `stopButtonClass` - - new value

### setStopButtonClassDisabled

    public void setStopButtonClassDisabled(javax.el.ValueExpression __stopButtonClassDisabled)

  CSS style for cancel button disabled Setter for stopButtonClassDisabled

  Parameters:
    `stopButtonClassDisabled` - - new value

### setStopControlLabel

    public void setStopControlLabel(javax.el.ValueExpression __stopControlLabel)

  Defines a label for a stop button Setter for stopControlLabel

  Parameters:
    `stopControlLabel` - - new value

### setStopEntryControlLabel

    public void setStopEntryControlLabel(javax.el.ValueExpression __stopEntryControlLabel)

  Defines a label for a stop control Setter for stopEntryControlLabel

  Parameters:
    `stopEntryControlLabel` - - new value

### setTabindex

    public void setTabindex(javax.el.ValueExpression __tabindex)

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex

  Parameters:
    `tabindex` - - new value

### setTransferErrorLabel

    public void setTransferErrorLabel(javax.el.ValueExpression __transferErrorLabel)

  Defines a label for a transfer error label Setter for transferErrorLabel

  Parameters:
    `transferErrorLabel` - - new value

### setUploadButtonClass

    public void setUploadButtonClass(javax.el.ValueExpression __uploadButtonClass)

  CSS style for upload button Setter for uploadButtonClass

  Parameters:
    `uploadButtonClass` - - new value

### setUploadButtonClassDisabled

    public void setUploadButtonClassDisabled(javax.el.ValueExpression __uploadButtonClassDisabled)

  CSS style for upload button disabled Setter for uploadButtonClassDisabled

  Parameters:
    `uploadButtonClassDisabled` - - new value

### setUploadControlLabel

    public void setUploadControlLabel(javax.el.ValueExpression __uploadControlLabel)

  Defines a label for an upload button Setter for uploadControlLabel

  Parameters:
    `uploadControlLabel` - - new value

### setUploadData

    public void setUploadData(javax.el.ValueExpression __uploadData)

  Collection of files uploaded Setter for uploadData

  Parameters:
    `uploadData` - - new value

### setUploadListClass

    public void setUploadListClass(javax.el.ValueExpression __uploadListClass)

  CSS style for upload list Setter for uploadListClass

  Parameters:
    `uploadListClass` - - new value

### setUploadListClassDisabled

    public void setUploadListClassDisabled(javax.el.ValueExpression __uploadListClassDisabled)

  CSS style for upload list disabled Setter for uploadListClassDisabled

  Parameters:
    `uploadListClassDisabled` - - new value

### setValidator

    public void setValidator(javax.el.MethodExpression __validator)

  MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator

  Parameters:
    `validator` - - new value

### setValidatorMessage

    public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage

  Parameters:
    `validatorMessage` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.